@font-face { 
	font-family: 'Inter'; 
	src: url("fonts/inter-regular.woff2") format('woff2');
	font-weight: 400; 
	font-style: normal;
	font-stretch: normal;
	font-display: swap;
}

@font-face { 
	font-family: 'Inter'; 
	src: url("fonts/inter-italic.woff2") format('woff2');
	font-weight: 400; 
	font-style: italic;
	font-stretch: normal;
	font-display: swap;
}



@font-face { 
	font-family: 'Inter'; 
	src: url("fonts/inter-bold.woff2") format('woff2');
	font-weight: 700; 
	font-style: normal;
	font-stretch: normal;
	font-display: swap;
}

:root {
	--color-ivory: #F9F9F7;
	--color-linen: #F0F0EA;
	--color-gold: #C19A5B;
	--color-dark: #131313;
	--color-border: #C6C5C2;
	--color-pink: #FEF7F7;
	
	--font-size-h3: clamp(22px, 3vw, 40px);
	
	--wp-editor-canvas-background: var(--color-ivory) !important;
}

body { font-family: 'Inter', sans-serif; font-size: 18px; font-weight: 400; line-height: 30px; }



/*
---------------
	DEFAULT
---------------
*/
.inner { max-width: 1400px; margin-left: auto; margin-right: auto; position: relative; }
.inner.inner_960 { max-width: 960px; }

.sec_font { font-family: 'Playfair Display', serif; }
.center { text-align: center; }
.uppercase { text-transform: uppercase; }

/* Button */
.button { width: fit-content; height: 54px !important; padding: 0 20px !important; font-size: 16px !important; text-decoration: none !important; text-transform: uppercase; color: #FFFFFF !important; line-height: 20px !important; background: var(--color-dark) !important; border: none !important; display: inline-flex; align-content: center; justify-content: center; border-radius: 27px !important; -webkit-transition: all 0.2s ease-out; transition: all 0.2s ease-out; }
.button:hover { background: var(--color-gold) !important; }
.button:after { display: none !important; }

.button.button_outline { color: var(--color-dark) !important; background: transparent !important; border: 1px solid var(--color-dark) !important; }
.button.button_outline.button_outline_white { color: #FFFFFF !important; border-color: #FFFFFF !important; }
.button.button_outline.button_outline_white:hover { border-color: var(--color-gold) !important; }

.button:disabled, 
.button:disabled:hover { color: rgba(255 255 255 / 30%) !important; background-color: var(--color-dark) !important; }

/* Tags */
h1 { font-size: clamp(36px, 6vw, 70px); font-weight: 400; line-height: 100%; }
h2 { font-size: clamp(34px, 4.5vw, 60px); font-weight: 400; line-height: 100%; }
h3 { font-size: clamp(22px, 3vw, 40px); font-weight: 400; line-height: 120%; }


/*

	HEADER
	
*/
#header { height: 100px; background: #FFFFFF; }
#header .header_wrap { height: 100%; display: flex; align-items: center; justify-content: space-between; }

/* Logo */
#header .logo { width: 100%; max-width: 200px; height: auto; max-height: 50px; display: block; position: relative; z-index: 2; }
#header .logo img { width: 100% !important; height: auto; display: block; }

/* Menu */
#header {}


/*
-------------
	SLIDE
-------------
*/
.slide { height: 800px; background-color: var(--color-dark); background-position: center; background-size: cover; position: relative; }
.slide .cover { inset: 0; width: 100%; height: 100%; background: linear-gradient(to right,  rgba(19,19,19,0.75) 0%,rgba(19,19,19,0) 75%,rgba(19,19,19,0) 100%); }
.slide .inner { height: 100%; }
.slide .slide_content { max-width: 50%; height: 100%; color: #FFFFFF; display: flex; flex-direction: column; justify-content: center; }
.slide .slide_content h1 { margin: 10px 0; }
.slide .slide_content .slide_text { margin: 10px 0; }
.slide .slide_content .button { margin-top: 50px; display: inline-flex !important; }


/*
-------------
	INTRO
-------------
*/
.main_intro { padding: 100px 0; border-bottom: 1px solid var(--color-border); }
.main_intro .wp-block-columns { margin-bottom: 0 !important; }
.main_intro .intro_title_wrap { margin-bottom: 50px; display: grid; grid-template-columns: 200px 620px 1fr; }
.main_intro .intro_title_wrap h2 { margin: 0 !important; text-align: right; grid-column: 2 / 3; position: relative; z-index: 0; }
.main_intro .intro_title_wrap h2::before { left: -10%; top: 0; font-family: 'Cherston Script', cursive; font-size: 60px; color: var(--color-gold); line-height: 100%; position: absolute; z-index: -1; content: 'Bemutatkozás';  transform: rotate(-10deg); transform-origin: left top; }


/*

	SERVICES
	
*/
.services_block { padding: 100px 0; }



/*
---------------------
	PARTNER LOGOS
---------------------
*/
.partner_logos { padding: 100px 0; }
.partner_logos h2 { margin-bottom: 50px; font-size: var(--font-size-h3); }

.partner_logos .marquee_logo { display: flex; flex-wrap: nowrap !important; white-space: nowrap; overflow: hidden; -webkit-mask-image: linear-gradient(to right, rgba(0 0 0 / 0%) 0%, #000000 30%, #000000 calc(100% - 30%), rgba(0 0 0 / 0%) 100%); mask-image: linear-gradient(to right, rgba(0 0 0 / 0%) 0%, #000000 30%, #000000 calc(100% - 30%), rgba(0 0 0 / 0%) 100%); }
.partner_logos .marquee_logo .logos_wrap { display: flex; flex-wrap: nowrap !important; white-space: nowrap; -webkit-animation: animate-marquee 50s infinite linear; animation: animate-marquee 50s infinite linear; transition: .7s margin-left ease-out; will-change: transform, margin-left; }
.partner_logos .marquee_logo .logos_wrap .logo_item { margin: 0 50px; display: flex; justify-content: center; align-items: center; }
.partner_logos .marquee_logo .logos_wrap .logo_item img { width: auto; max-width: 300px; height: auto; max-height: 100px; display: block; }

@-webkit-keyframes animate-marquee {
	0% { transform: translateX(0%) translateZ(0); }
	100% { transform: translateX(-100%) translateZ(0); }
}

@keyframes animate-marquee { 
	0% { transform: translateX(0%) translateZ(0); }
	100% { transform: translateX(-100%) translateZ(0); }
}


/*
--------------------
	TESTIMONIALS
--------------------
*/
.testimonials { padding: 100px 0; background: var(--color-linen); }
.testimonials .testimonials_header { margin-bottom: 70px; padding-top: 100px; border-top: 1px solid var(--color-border); display: flex; align-items: center; justify-content: space-between; }
.testimonials .testimonials_header h2 { margin: 0 !important; }

.testimonials .testimonials_grid { display: grid; grid-template-columns: repeat(3, 1fr); grid-template-rows: auto auto; gap: 25px; }
.testimonials .testimonials_grid article { padding: 30px; background: #FFFFFF; border-radius: 15px; }
.testimonials .testimonials_grid article:nth-child(1) { grid-column: 1; grid-row: 1 / span 2; }
.testimonials .testimonials_grid article:nth-child(1) .author_text { font-size: 30px; line-height: 40px; }
.testimonials .testimonials_grid article:nth-child(2) { grid-column: 2; grid-row: 1; }
.testimonials .testimonials_grid article:nth-child(3) { background: var(--color-pink); grid-column: 3; grid-row: 1 / span 2; }
.testimonials .testimonials_grid article:nth-child(3) .author_text { font-size: 30px; line-height: 40px; }
.testimonials .testimonials_grid article:nth-child(4) { grid-column: 2; grid-row: 2; }

.testimonials .testimonials_grid article .author_meta { height: 50px; margin-bottom: 20px; display: flex; align-items: center; }
.testimonials .testimonials_grid article .author_meta img { width: 50px; height: 50px; margin-right: 20px; display: block; border-radius: 50%; }
.testimonials .testimonials_grid article .author_meta .name_company { display: flex; align-items: center; }
.testimonials .testimonials_grid article .author_meta .name_company .name { width: 100%; font-weight: 700; line-height: 120%; }
.testimonials .testimonials_grid article .author_meta .name_company .company { width: 100%; font-size: 14px; line-height: 120%; }
.testimonials .testimonials_grid article .author_text { font-size: 20px; line-height: 30px; }
